GNU bug report logs - #35299
GNUmakefile mode wrong color sometime beyond TAB

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: 積丹尼 Dan Jacobson <jidanni@HIDDEN>; Keywords: confirmed; merged with #17400, #33681, #33900, #36245, #37934, #45037, #46052, #46221, #48052; dated Tue, 16 Apr 2019 19:27:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 17400 33681 33900 35299 36245 37934 45037 46052 46221 48052. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 17400 33681 33900 35299 36245 45037 46052 46221. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 17400 33681 33900 35299 36245 45037 46052. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 17400 33681 33900 35299 36245 45037. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 17400 33681 33900 35299 36245. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 17400 33681 33900 35299. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 35299 <at> debbugs.gnu.org:


Received: (at 35299) by debbugs.gnu.org; 16 Apr 2019 20:51:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 16 16:51:14 2019
Received: from localhost ([127.0.0.1]:38046 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hGV2w-0002i8-5g
	for submit <at> debbugs.gnu.org; Tue, 16 Apr 2019 16:51:14 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38389)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1hGV2t-0002hu-EC
 for 35299 <at> debbugs.gnu.org; Tue, 16 Apr 2019 16:51:12 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56423)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1hGV2o-0004uk-5W
 for 35299 <at> debbugs.gnu.org; Tue, 16 Apr 2019 16:51:06 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1hGV2l-0002g2-KK; Tue, 16 Apr 2019 16:51:03 -0400
From: Glenn Morris <rgm@HIDDEN>
To: 35299 <at> debbugs.gnu.org
Subject: Re: bug#35299: GNUmakefile mode wrong color sometime beyond TAB
References: <87o955vjjl.8.fsf@HIDDEN>
X-Spook: offensive information warfare Emergency Landing Gazprom
X-Ran: L;RHMJr`OKVlBYy]DsY\7s7\o?\d&wG}CNbXk-^A2O=Av*"{T|\Yr}GPS_yW^OfcWrl^?Z
X-Hue: green
X-Attribution: GM
Date: Tue, 16 Apr 2019 16:51:03 -0400
In-Reply-To: <87o955vjjl.8.fsf@HIDDEN> (=?utf-8?B?IuepjeS4ueWwvA==?=
 Dan Jacobson"'s message of "Wed, 17 Apr 2019 03:26:06 +0800")
Message-ID: <t11s218yiw.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35299
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Minimum example:

foo:
	scp a:b

Quadruplicate of bug#33900.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35299; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Apr 2019 19:26:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 16 15:26:37 2019
Received: from localhost ([127.0.0.1]:38013 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hGTj3-0000gd-9r
	for submit <at> debbugs.gnu.org; Tue, 16 Apr 2019 15:26:37 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50181)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jidanni@HIDDEN>) id 1hGTj1-0000gR-KQ
 for submit <at> debbugs.gnu.org; Tue, 16 Apr 2019 15:26:36 -0400
Received: from lists.gnu.org ([209.51.188.17]:45909)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jidanni@HIDDEN>) id 1hGTiv-00074i-6u
 for submit <at> debbugs.gnu.org; Tue, 16 Apr 2019 15:26:29 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36317)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jidanni@HIDDEN>) id 1hGTiu-0007ji-1F
 for bug-gnu-emacs@HIDDEN; Tue, 16 Apr 2019 15:26:28 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.8 required=5.0 tests=BAYES_50,FROM_EXCESS_BASE64,
 RCVD_IN_DNSWL_NONE,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jidanni@HIDDEN>) id 1hGTis-00073H-Vd
 for bug-gnu-emacs@HIDDEN; Tue, 16 Apr 2019 15:26:27 -0400
Received: from cichlid.maple.relay.mailchannels.net ([23.83.214.36]:11737)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jidanni@HIDDEN>) id 1hGTip-0006xj-Dr
 for bug-gnu-emacs@HIDDEN; Tue, 16 Apr 2019 15:26:25 -0400
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 4EB535E265D
 for <bug-gnu-emacs@HIDDEN>; Tue, 16 Apr 2019 19:26:17 +0000 (UTC)
Received: from pdx1-sub0-mail-a40.g.dreamhost.com
 (100-96-7-60.trex.outbound.svc.cluster.local [100.96.7.60])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 3F6635E21AC
 for <bug-gnu-emacs@HIDDEN>; Tue, 16 Apr 2019 19:26:16 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from pdx1-sub0-mail-a40.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.17.2); Tue, 16 Apr 2019 19:26:17 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jidanni@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-White-Quick: 552d3700020a13bb_1555442776582_569505619
X-MC-Loop-Signature: 1555442776582:2850494359
X-MC-Ingress-Time: 1555442776581
Received: from pdx1-sub0-mail-a40.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a40.g.dreamhost.com (Postfix) with ESMTP id D38A580008
 for <bug-gnu-emacs@HIDDEN>; Tue, 16 Apr 2019 12:26:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to
 :subject:date:message-id:mime-version:content-type; s=
 jidanni.org; bh=skbbVhTBGfSOBiVHRycX60XX1rM=; b=RLvn54mim8cPACs/
 gTptbHnNri26GWDnAeu3vjky7v+4qd+cnZZtyR5+CTsDuWqBBibQD2m1FQRqyBgr
 k4fCICMfVcYBxls2nuz6nFeIGPlFyVImGRd3WVk24VaGvMq3SZqaeTeUHJlMgxLB
 OFbGgv49ghkvR8rVWHjWhHTHmCc=
Received: from jidanni.org (220-140-7-151.dynamic-ip.hinet.net [220.140.7.151])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by pdx1-sub0-mail-a40.g.dreamhost.com (Postfix) with ESMTPSA id 4733B80019
 for <bug-gnu-emacs@HIDDEN>; Tue, 16 Apr 2019 12:26:10 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a40
From: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: GNUmakefile mode wrong color sometime beyond TAB
Date: Wed, 17 Apr 2019 03:26:06 +0800
Message-ID: <87o955vjjl.8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: 0
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgeduuddrfedugddufeekucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuggftfghnshhusghstghrihgsvgdpffftgfetoffjqffuvfenuceurghilhhouhhtmecufedttdenucenucfjughrpefhvffufffkgggtsehttdertddttdejnecuhfhrohhmpejnnjjnucffrghnucflrggtohgsshhonhcuoehjihgurghnnhhisehjihgurghnnhhirdhorhhgqeenucfkphepvddvtddrudegtddrjedrudehudenucfrrghrrghmpehmohguvgepshhmthhppdhhvghlohepjhhiuggrnhhnihdrohhrghdpihhnvghtpedvvddtrddugedtrdejrdduhedupdhrvghtuhhrnhdqphgrthhhpeeprehuthhfqdekreeureehiehmpfehnfhiheehsgevkeerpecuffgrnhculfgrtghosghsohhnuceojhhiuggrnhhnihesjhhiuggrnhhnihdrohhrgheqpdhmrghilhhfrhhomhepjhhiuggrnhhnihesjhhiuggrnhhnihdrohhrghdpnhhrtghpthhtohepsghughdqghhnuhdqvghmrggtshesghhnuhdrohhrghenucevlhhushhtvghrufhiiigvpedt
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 23.83.214.36
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

$ cat Makefile
external_robots:
	mech-dump --links index.html|perl -nwle 'next unless m!http://[^/]+/!; print $$& . "robots.txt"'|xargs -n 1 wwwoffle
scp:
	set -x -- $$(find * -type f -cmin -$${min-111}); for i do $${TEST} scp $$i $J:$J/$$i; done
$ emacs Makefile
The last line is mostly blue!




Acknowledgement sent to 積丹尼 Dan Jacobson <jidanni@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#35299; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 27 Apr 2021 00:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.